﻿$ErrorActionPreference = 'Stop';

$softVersion = '5.6.1'
$shortVersion = '5.6.1'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-64.zip"
$altUrl        = "https://sourceforge.net/projects/mrviewer/files/archive/v${shortVersion}/${packageName}-v${shortVersion}-Windows-32.zip"
$altUrl64      = "https://sourceforge.net/projects/mrviewer/files/archive/v${shortVersion}/${packageName}-v${shortVersion}-Windows-64.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mrViewer*'

  checksum      = 'F9F1339253F7A07116F2421C572F16937898A657A6AA618E503BA2D139F6AE40'
  checksumType  = 'sha256'
  checksum64    = '75A17ADD63E8BA76FAB76111F5B5604380A9C6338067687E74B79390F7DDFBF5'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

Try {
    Install-ChocolateyZipPackage @packageArgs
    }
Catch {
	$altPackageArgs = @{
	    packageName   = $packageName
	    unzipLocation = $programFiles
	    fileType      = 'exe'
	    url           = $altUrl
	    url64bit      = $altUrl64

	    softwareName  = 'mrViewer*'

	    checksum      = 'F9F1339253F7A07116F2421C572F16937898A657A6AA618E503BA2D139F6AE40'
	    checksumType  = 'sha256'
	    checksum64    = '75A17ADD63E8BA76FAB76111F5B5604380A9C6338067687E74B79390F7DDFBF5'
	    checksumType64= 'sha256'
	    
	    validExitCodes= @(0, 3010, 1641)
	    silentArgs   = ''
	}
	Install-ChocolateyZipPackage @altPackageArgs
}


$target = Join-Path $programFiles "${packageName}-v${shortVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath -PathToInstall "${target}" -PathType 'Machine'


$DesktopPath = [Environment]::GetFolderPath("CommonDesktopDirectory")
$StartMenu = [Environment]::GetFolderPath("CommonStartMenu")
$StartPath = Join-Path "$StartMenu" "Programs"

Install-ChocolateyShortcut -ShortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -TargetPath "${target}/${packageName}.exe"

Install-ChocolateyShortcut -shortcutFilePath "${StartPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -targetPath "${target}/${packageName}.exe"
